---
title: ASIN to GTIN
slug: rainforestapi/product-data-api/parameters/asin-to-gtin
docTags: 
createdAt: 2024-07-30T12:48:41.129Z
---

# ASIN to GTIN Parameters

<font color="#52c41a">`GET`</font>  `/request`

When making a request with the  `type`  parameter set to  `type=asin_to_gtin`  Rainforest API will attempt to look up GTIN / EAN / UPC / ISBN numbers for the ASIN and Amazon domain specified in the  `asin`  and  `amazon_domain`  parameters.

:::hint{type="info"}
GTIN / EAN / UPC / ISBN values are retrieved from public domain sources (as they are not published by Amazon themselves).
:::

For example, to request ASIN to GTIN results for the ASIN  `B073JYC4XM`  on  `amazon.com`  the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.rainforestapi.com/request?api_key=demo&type=asin_to_gtin&asin=B073JYC4XM&amazon_domain=amazon.com
```

```curl
curl -L --get https://api.rainforestapi.com/request \
-d api_key="demo" \
-d type="asin_to_gtin" \
-d asin="B073JYC4XM" \
-d amazon_domain="amazon.com"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  type: "asin_to_gtin",
  asin: "B073JYC4XM",
  amazon_domain: "amazon.com"
}

// make the http GET request to Rainforest API
axios.get('https://api.rainforestapi.com/request', { params })
  .then(response => {

    // print the JSON response from Rainforest API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'type': 'asin_to_gtin',
  'asin': 'B073JYC4XM',
  'amazon_domain': 'amazon.com',
}

# make the http GET request to Rainforest API
api_result = requests.get('https://api.rainforestapi.com/request', params)

# print the JSON response from Rainforest API
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'type' => 'asin_to_gtin',
  'asin' => 'B073JYC4XM',
  'amazon_domain' => 'amazon.com',
]);

# make the http GET request to Rainforest API
$ch = curl_init(sprintf('%s?%s', 'https://api.rainforestapi.com/request', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from Rainforest API
echo $api_result;

?>
```
:::

### ASIN to GTIN Parameters

The following parameters are available for all requests made when  `type=asin_to_gtin` .

| *`Parameter`*     | *`Required`*        | *`Description`*                                                                                                                                                                                                                                                            |
| ----------------- | ------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *`asin`*          | <u>*`required`*</u> | The Amazon ASIN (product ID) to retrieve GTIN(s) for. Used in combination with the `amazon_domain` parameter.                                                                                                                                                              |
| *`amazon_domain`* | <u>*`required`*</u> | The Amazon domain to retrieve ASIN to GTIN details from for the ASIN specified in the `asin` parameter. For a full list of supported Amazon domains see [Supported Amazon Domains ](https://docs.trajectdata.com/rainforestapi/product-data-api/reference/amazon-domains). |

***

**Next Steps**
     [ASIN to GTIN Results](https://docs.trajectdata.com/rainforestapi/product-data-api/results/asin-to-gtin)
